Subject: bug#24666: converting srfi-18.test to standalone test case for debugging

From: Jack Howarth <[email-masked]>
Date: Thu, 20 Oct 2016 13:08:07 -0400

I finally puzzled out how to run the srfi-18.test failing test case as
a stand alone one with...

cd /opt/local/var/macports/build/_Users_howarth_ports_lang_guile/guile/work/guile-2.0.13/test-suite
setenv GUILE_LOAD_PATH
/opt/local/var/macports/build/_Users_howarth_ports_lang_guile/guile/work/guile-2.0.13/test-suite
setenv TEST_SUITE_DIR
/opt/local/var/macports/build/_Users_howarth_ports_lang_guile/guile/work/guile-2.0.13/test-suite/tests
/opt/local/bin/guile  -e main -s guile-test srfi-18.test

Running srfi-18.test
FAIL: srfi-18.test: thread-terminate!: termination destroys non-started thread
FAIL: srfi-18.test: thread-terminate!: termination destroys started thread

Totals for this test run:
passes:                 59
failures:               2
unexpected passes:      0
expected failures:      0
unresolved test cases:  0
untested test cases:    0
unsupported test cases: 0
errors:                 0

While the comments in guile-test mentioned the requirement for setting
TEST_SUITE_DIR, it is missing any discussion of the need to set
GUILE_LOAD_PATH as well. That should be added.

On Tue, Oct 11, 2016 at 8:55 AM, Jack Howarth
<[email-masked]> wrote:
>     Does anyone know how to convert the srfi-18.test test case into a
> standalone one that can be debugged in lldb or gdb? On darwin15, I
> have confirmed that the thread-local-storage support is causing the
> failures of...
>
>  FAIL: srfi-18.test: thread-terminate!: termination destroys non-started thread
>  FAIL: srfi-18.test: thread-terminate!: termination destroys started thread
>
> and that passing configure 'ac_cv_have_thread_storage_class=no' to
> configure when building guile 2.0.12 suppresses these failures.
>    I've opened a radar bug report with Apple, radar:// 2868809 "guile
> 2.0.12 exposes potential thread-local-storage bug on Mac OS X", but
> still need to add a stand-alone test case derived from srfi-18.test
> that can be debugged in lldb.
>             Jack